﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace XmlSerializersTest
{
    [AttributeUsage(AttributeTargets.Class, AllowMultiple=true)]
    public class SkipSerializerAttribute : Attribute
    {
        public string Serializer { get; private set; }
        public string Reason { get; private set; }

        public SkipSerializerAttribute(string serializer, string reason)
        {
            Serializer = serializer;
            Reason = reason;
        }
    }
}
